namespace WordpressEboobScraper2.Proc;

public struct ProcessOutput
{
    public readonly string Command;
    public readonly int ExitCode;
    public readonly string StdOut;
    public readonly string StdErr;
    public readonly string StdCombined;

    public ProcessOutput(string cmd, int ex, string stdout, string stderr, string stdcom)
    {
        Command = cmd;
        ExitCode = ex;
        StdOut = stdout;
        StdErr = stderr;
        StdCombined = stdcom;
    }

    public override string ToString() => $"{Command}\n=> {ExitCode}\n\n[stdout]\n{StdOut}\n\n[stderr]\n{StdErr}";
}